# $Revision: 1.174 $, $Date: 2012/02/16 21:55:31 $
# TODO:
#	- upsdrvctl (used by ups.init) doesn't recognize status and reload commands
#
# Conditional build:
%bcond_without	usb			# build without usb drivers
%bcond_with	hal			# build with hal support (DEPRECATED)
%bcond_without	snmp			# build without snmp driver
%bcond_without	cgi			# build without cgi support
%bcond_without	neon			# build with neon based XML/HTTP driver
#
Summary:	Network UPS Tools
Summary(pl.UTF-8):	Sieciowe narzędzie do UPS-ów
Name:		nut
Version:	2.6.3
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://www.networkupstools.org/source/2.6/%{name}-%{version}.tar.gz
# Source0-md5:	8db00c21f8bc03add6e14d15f634ec6a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-upsmon.init
Source4:	%{name}.sysconfig.upsmon
Patch0:		%{name}-client.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-smartdp-load.patch
Patch3:		%{name}-upssched-cmd-sysconf.patch
Patch4:		%{name}-matrix.patch
Patch5:		%{name}-more_models.patch
URL:		http://www.networkupstools.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_hal:BuildRequires:	dbus-glib-devel}
%{?with_cgi:BuildRequires:	gd-devel >= 2.0.15}
%{?with_hal:BuildRequires:	hal-devel >= 0.5.8}
BuildRequires:	libtool
%{?with_usb:BuildRequires:	libusb-compat-devel}
BuildRequires:	libwrap-devel
%{?with_neon:BuildRequires:	neon-devel}
%{?with_snmp:BuildRequires:	net-snmp-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	smartupstools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ups
%define		_udevrulesdir	/etc/udev/rules.d

%description
These programs are part of a developing project to monitor the
assortment of UPSes that are found out there in the field. Many models
have serial serial ports of some kind that allow some form of state
checking. This capability has been harnessed where possible to allow
for safe shutdowns, live status tracking on web pages, and more.

%description -l pl.UTF-8
Te programy są częścią projektu do monitorowania wielu UPS-ów w jakimś
otoczeniu. Wiele modeli ma porty szeregowe i pozwala na jakąś formę
sprawdzania stanu. Ta funkcjonalność pozwala na bezpieczne
zatrzymywanie systemów, sprawdzanie stanu zasilania przez WWW i inne.

%description -l ru.UTF-8
Эти программы - часть проекта по мониторингу различных UPS. У многих
моделей есть сериальные порты, позволяющие проверять состояние этих
UPS. Эта возможность была использована, где это возможно, для
выполнения безопасных остановов компьютеров, отслеживания статуса
через веб и т.п.

%description -l uk.UTF-8
Ці програми є частиною проекту по моніторингу різноманітних UPS.
Багато моделей мають серіальні порти, що дозволять перевіряти стан цих
UPS. Ця можливість була використана, де це можливо, для виконання
безпечних зупинок комп'ютерів, відслідковування статусу через веб,
тощо.

%package common
Summary:	Package with common files for nut daemon and its clients
Summary(pl.UTF-8):	Pakiet z plikami wspólnymi dla demona nut i jego klientów
Group:		Applications/System
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/groupmod
Requires(pre):	/usr/sbin/useradd
Provides:	group(ups)
Provides:	user(ups)

%description common
Package with common files for nut daemon and its clients.

%description common -l pl.UTF-8
Pakiet z plikami wspólnymi dla demona nut i jego klientów.

%package client
Summary:	Multi-vendor UPS Monitoring Project Client Utilities
Summary(pl.UTF-8):	Narzędzia klienckie do monitorowania UPS-ów
Summary(ru.UTF-8):	Network UPS Tools - клиентские утилиты мониторинга
Summary(uk.UTF-8):	Network UPS Tools - клієнтські утиліти моніторингу
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts

%description client
This package includes the client utilities that are required to
monitor a UPS that the client host is plugged into but monitored via
serial cable by another host on the network....

%description client -l pl.UTF-8
Ten pakiet zawiera narzędzia kliencie potrzebne do monitorowania UPS-a
do którego podłączony jest komputer kliencki, kiedy kabel szeregowy
UPS-a jest podłączony do innego komputera w sieci.

%description client -l ru.UTF-8
Этот пакет включает клиентские утилиты, необходимые для мониторинга
UPS, к которому клиентский хост имеет доступ, но UPS физически
подключен к другому компьютеру в сети.

%description client -l uk.UTF-8
Цей пакет включає клієнтські утиліти, потрібні для моніторингу UPS, до
якого клієнтський хост має доступ, але UPS фізично підключений до
іншого комп'ютеру в мережі.

%package cgi
Summary:	Multi-vendor UPS Monitoring Project Server - CGI utils
Summary(pl.UTF-8):	Narzędzia CGI do monitorowania UPS-ów
Summary(ru.UTF-8):	Network UPS Tools - CGI утилиты
Summary(uk.UTF-8):	Network UPS Tools - CGI утиліти
Group:		Applications/System
Requires:	%{name}-common = %{version}-%{release}

%description cgi
These programs are part of a developing project to monitor the
assortment of UPSes that are found out there in the field. Many models
have serial serial ports of some kind that allow some form of state
checking. This capability has been harnessed where possible to allow
for safe shutdowns, live status tracking on web pages, and more. This
package contains CGI utils.

%description cgi -l pl.UTF-8
Te programy są częścią projektu do monitorowania wielu UPS-ów w jakimś
otoczeniu. Wiele modeli ma porty szeregowe i pozwala na jakąś formę
sprawdzania stanu. Ta funkcjonalność pozwala na bezpieczne
zatrzymywanie systemów, sprawdzanie stanu zasilania przez WWW i inne.
Ten pakiet zawiera narzędzia CGI.

%description cgi -l ru.UTF-8
Этот пакет включает CGI программы для доступа к информации о статусе
UPS через веб-интерфейс.

%description cgi -l uk.UTF-8
Цей пакет включає CGI програми для доступу до інформації про статус
UPS через веб-інтерфейс.

%package devel
Summary:	Files for NUT clients development
Summary(pl.UTF-8):	Pliki do tworzenia klientów NUT-a
Group:		Development/Libraries
Requires:	%{name}-common = %{version}-%{release}
Requires:	openssl-devel >= 0.9.7c

%description devel
Object file and header for developing NUT clients.

%description devel -l pl.UTF-8
Plik wynikowy oraz nagłówek służące do tworzenia klientów NUT-a.

%package hal
Summary:	NUT integration with FreeDesktop HAL
Summary(pl.UTF-8):	Pliki do integracji NUT-a z HAL-em
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description hal
NUT integration with FreeDesktop HAL.

%description hal -l pl.UTF-8
Pliki do integracji NUT-a z HAL-em.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoconf}
%configure \
	--datadir=%{_datadir}/%{name} \
	--with-htmlpath=%{_datadir}/%{name}/html \
	--with-serial \
	--with%{!?with_usb:out}-usb \
	--with%{!?with_snmp:out}-snmp \
	--with%{!?with_hal:out}-hal \
	--with%{!?with_cgi:out}-cgi \
	--with-dev \
	--with%{!?with_neon:out}-neon \
	--with-ssl \
	--with-ipv6 \
	%{?with_usb:--with-udev-dir=/etc/udev} \
	%{?with_hal:--with-hal-callouts-path=%{_libdir}/hal} \
	%{?with_hal:--with-hal-fdi-path=%{_datadir}/hal/fdi/information/20thirdparty} \
	--with-statepath=%{_var}/lib/ups \
	--with-drvpath=/lib/nut \
	--with-cgipath=/home/services/httpd/cgi-bin \
	--with-user=ups \
	--with-group=ups

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},/var/lib/ups,/lib/nut,/sbin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ups
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ups
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/upsmon
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/upsmon

for i in $RPM_BUILD_ROOT%{_sysconfdir}/*.sample; do
	mv -f $i ${i%.sample}
done

%{!?with_usb:rm -f $RPM_BUILD_ROOT%{_udevrulesdir}/52-nut-usbups.rules}

cat > $RPM_BUILD_ROOT/sbin/poweroff-ups << EOF
#!/bin/sh
/etc/rc.d/init.d/ups powerdown
EOF

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add ups
%service ups restart "NUT ups daemon"

%postun
/sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	%service ups stop
	/sbin/chkconfig --del ups
fi

%pre common
# move to trigger?
if [ -n "`/usr/bin/getgid ups 2> /dev/null`" ] && [ "`/usr/bin/getgid ups 2> /dev/null`" = 121 ]; then
	/usr/sbin/groupmod -g 76 ups
	chgrp ups %{_sysconfdir}/{upsd.conf,ups.conf,upsd.users}
	/usr/sbin/usermod -g 76 ups
fi
%groupadd -g 76 ups
%useradd -u 70 -d /usr/share/empty -s /bin/false -c "UPS Manager User" -g ups ups

%post common -p /sbin/ldconfig

%postun common
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%userremove ups
	%groupremove ups
fi

%post client
/sbin/chkconfig --add upsmon
%service upsmon restart "NUT upsmon daemon"

%preun client
if [ "$1" = "0" ]; then
	%service upsmon stop
	/sbin/chkconfig --del upsmon
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nut-scanner
%attr(755,root,root) %{_bindir}/upscmd
%attr(755,root,root) %{_bindir}/upslog
%attr(755,root,root) %{_bindir}/upsrw
%attr(755,root,root) %{_sbindir}/upsd
%attr(755,root,root) /sbin/poweroff-ups
%attr(755,root,root) %ghost %{_libdir}/libnutscan.so.1
%attr(755,root,root) %{_libdir}/libnutscan.so.*.*.*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ups
%attr(754,root,root) /etc/rc.d/init.d/ups
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nut.conf
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsd.conf
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ups.conf
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsd.users
%{_mandir}/man5/ups.conf.5*
%{_mandir}/man5/upsd.conf.5*
%{_mandir}/man5/upsd.users.5*
%{_mandir}/man8/nut-scanner.8*
%{_mandir}/man8/upscmd.8*
%{_mandir}/man8/upscode2.8*
%{_mandir}/man8/upsd.8*
%{_mandir}/man8/upsdrvctl.8*
%{_mandir}/man8/upslog.8*
%{_mandir}/man8/upsrw.8*
%dir %attr(770,root,ups) /var/lib/ups
%dir /lib/nut
%attr(755,root,root) /lib/nut/apcsmart
%attr(755,root,root) /lib/nut/apcsmart-old
%attr(755,root,root) /lib/nut/bcmxcp
%{?with_usb:%attr(755,root,root) /lib/nut/bcmxcp_usb}
%attr(755,root,root) /lib/nut/belkin
%attr(755,root,root) /lib/nut/belkinunv
%attr(755,root,root) /lib/nut/bestfcom
%attr(755,root,root) /lib/nut/bestfortress
%attr(755,root,root) /lib/nut/bestuferrups
%attr(755,root,root) /lib/nut/bestups
%attr(755,root,root) /lib/nut/blazer_ser
%{?with_usb:%attr(755,root,root) /lib/nut/blazer_usb}
%attr(755,root,root) /lib/nut/clone
%attr(755,root,root) /lib/nut/clone-outlet
%attr(755,root,root) /lib/nut/dummy-ups
%attr(755,root,root) /lib/nut/etapro
%attr(755,root,root) /lib/nut/everups
%attr(755,root,root) /lib/nut/gamatronic
%attr(755,root,root) /lib/nut/genericups
%attr(755,root,root) /lib/nut/isbmex
%attr(755,root,root) /lib/nut/ivtscd
%attr(755,root,root) /lib/nut/liebert
%attr(755,root,root) /lib/nut/liebert-esp2
%attr(755,root,root) /lib/nut/masterguard
%attr(755,root,root) /lib/nut/metasys
%attr(755,root,root) /lib/nut/mge-shut
%attr(755,root,root) /lib/nut/mge-utalk
%attr(755,root,root) /lib/nut/microdowell
%{?with_neon:%attr(755,root,root) /lib/nut/netxml-ups}
%attr(755,root,root) /lib/nut/newmge-shut
%attr(755,root,root) /lib/nut/oneac
%attr(755,root,root) /lib/nut/optiups
%attr(755,root,root) /lib/nut/powercom
%attr(755,root,root) /lib/nut/powerpanel
%attr(755,root,root) /lib/nut/rhino
%{?with_usb:%attr(755,root,root) /lib/nut/richcomm_usb}
%attr(755,root,root) /lib/nut/safenet
%attr(755,root,root) /lib/nut/skel
%{?with_snmp:%attr(755,root,root) /lib/nut/snmp-ups}
%attr(755,root,root) /lib/nut/solis
%attr(755,root,root) /lib/nut/tripplite
%attr(755,root,root) /lib/nut/tripplitesu
%{?with_usb:%attr(755,root,root) /lib/nut/tripplite_usb}
%attr(755,root,root) /lib/nut/upscode2
%attr(755,root,root) /lib/nut/upsdrvctl
%{?with_usb:%attr(755,root,root) /lib/nut/usbhid-ups}
%attr(755,root,root) /lib/nut/victronups
%{_datadir}/nut
%{_mandir}/man5/nut.conf.5*
%{_mandir}/man8/apcsmart.8*
%{_mandir}/man8/apcsmart-old.8*
%{_mandir}/man8/bcmxcp.8*
%{?with_usb:%{_mandir}/man8/bcmxcp_usb.8*}
%{_mandir}/man8/belkin.8*
%{_mandir}/man8/belkinunv.8*
%{_mandir}/man8/bestfcom.8*
%{_mandir}/man8/bestfortress.8*
%{_mandir}/man8/bestuferrups.8*
%{_mandir}/man8/bestups.8*
%{_mandir}/man8/blazer.8*
%{_mandir}/man8/clone.8*
%{_mandir}/man8/dummy-ups.8*
%{_mandir}/man8/etapro.8*
%{_mandir}/man8/everups.8*
%{_mandir}/man8/gamatronic.8*
%{_mandir}/man8/genericups.8*
%{_mandir}/man8/isbmex.8*
%{_mandir}/man8/ivtscd.8*
%{_mandir}/man8/liebert.8*
%{_mandir}/man8/liebert-esp2.8*
%{_mandir}/man8/masterguard.8*
%{_mandir}/man8/metasys.8*
%{_mandir}/man8/mge-shut.8*
%{_mandir}/man8/mge-utalk.8*
%{_mandir}/man8/microdowell.8*
%{?with_neon:%{_mandir}/man8/netxml-ups.8*}
%{_mandir}/man8/nutupsdrv.8*
%{_mandir}/man8/oneac.8*
%{_mandir}/man8/optiups.8*
%{_mandir}/man8/powercom.8*
%{_mandir}/man8/powerpanel.8*
%{_mandir}/man8/rhino.8*
%{?with_usb:%{_mandir}/man8/richcomm_usb.8*}
%{_mandir}/man8/safenet.8*
%{?with_snmp:%{_mandir}/man8/snmp-ups.8*}
%{_mandir}/man8/solis.8*
%{_mandir}/man8/tripplite.8*
%{_mandir}/man8/tripplitesu.8*
%{?with_usb:%{_mandir}/man8/tripplite_usb.8*}
%{?with_usb:%{_mandir}/man8/usbhid-ups.8*}
%{_mandir}/man8/victronups.8*
%{?with_usb:%config(noreplace) %verify(not md5 mtime size) %{_udevrulesdir}/52-nut-usbups.rules}

%files common
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README UPGRADING ChangeLog docs
%dir %{_sysconfdir}
%attr(755,root,root) %ghost %{_libdir}/libupsclient.so.1
%attr(755,root,root) %{_libdir}/libupsclient.so.*.*.*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/upsc
%attr(755,root,root) %{_sbindir}/upsmon
%attr(755,root,root) %{_sbindir}/upssched
%attr(754,root,root) /etc/rc.d/init.d/upsmon
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsmon.conf
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upssched.conf
%attr(750,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upssched-cmd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/upsmon
%{_mandir}/man5/upsmon.conf.5*
%{_mandir}/man5/upssched.conf.5*
%{_mandir}/man8/upsc.8*
%{_mandir}/man8/upsmon.8*
%{_mandir}/man8/upssched.8*

%if %{with cgi}
%files cgi
%defattr(644,root,root,755)
%{_datadir}/%{name}/html
%attr(755,root,root) /home/services/httpd/cgi-bin/*.cgi
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hosts.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsset.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.html
%{_mandir}/man5/hosts.conf.5*
%{_mandir}/man5/upsset.conf.5*
%{_mandir}/man5/upsstats.html.5*
%{_mandir}/man8/upsimage.cgi.8*
%{_mandir}/man8/upsset.cgi.8*
%{_mandir}/man8/upsstats.cgi.8*
%endif

%if %{with hal}
%files hal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/hal/hald-addon-bcmxcp_usb
%attr(755,root,root) %{_libdir}/hal/hald-addon-blazer_usb
%attr(755,root,root) %{_libdir}/hal/hald-addon-tripplite_usb
%attr(755,root,root) %{_libdir}/hal/hald-addon-usbhid-ups
%{_datadir}/hal/fdi/information/20thirdparty/20-ups-nut-device.fdi
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libupsclient.so
%{_pkgconfigdir}/libupsclient.pc
%{_includedir}/*.h
%{_mandir}/man3/*.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nut.spec,v $
Revision 1.174  2012/02/16 21:55:31  hawk
- doh, fixed libnutscan packaging

Revision 1.173  2012/02/16 21:37:39  hawk
- updated to 2.6.3

Revision 1.172  2011/07/30 19:53:17  arekm
- release 4

Revision 1.171  2011/07/26 11:09:56  pluto
- add support for http://en.orvaldi.com/index.php/en/product_catalog/product_view/11/162
- release 3.

Revision 1.170  2011/07/21 11:17:24  baggins
- rel 2
- disable HAL, use UDEV

Revision 1.169  2011/07/15 10:29:52  baggins
- rel 1

Revision 1.168  2011/07/15 10:23:15  baggins
- up to 2.6.1
- ssl patch applied upstream

Revision 1.167  2011/07/15 10:21:53  baggins
- rel 3
- reworked ups daemon startup - start daemon always, even if some ups drivers
  did not start, without leaving half-started services in background

Revision 1.166  2011/04/10 20:47:01  wiget
- fix pkgconfig file (ssl.patch)
- drop libtool file
- rel. 2

Revision 1.165  2011/02/16 18:30:03  sls
- blazer-parse.patch and hal-paths.patch no longer needed in 2.6.0
- rel. 1

Revision 1.164  2011/02/16 18:21:42  sls
- megatec driver replaced by blazer
- liebertgxt2 driver renamed to liebert-esp2

Revision 1.163  2011/02/16 18:17:58  sls
- temporary disabled some patches

Revision 1.162  2011/02/16 18:03:24  sls
- ver. 2.6.0

Revision 1.161  2010/12/15 12:56:38  arekm
- be quiet about errors

Revision 1.160  2010/11/15 18:33:18  arekm
- release 4

Revision 1.159  2010/11/13 12:08:31  pawelz
- release 3

Revision 1.158  2010/11/06 14:32:31  pluto
- fix rare gpf in blazer_status() parser, release 2.

Revision 1.157  2010/07/15 07:57:28  arekm
- up to 2.4.3

Revision 1.156  2010/06/06 13:03:21  glen
- release 4

Revision 1.155  2010/04/26 14:51:25  blues
- rel.3

Revision 1.154  2010/04/12 19:27:53  arekm
- release 2

Revision 1.153  2010/01/27 14:31:37  sparky
- BR: pkgconfig

Revision 1.152  2010/01/27 14:29:43  baggins
- rel 1

Revision 1.151  2010/01/27 14:28:02  baggins
- 2.4.1

Revision 1.150  2009/02/04 13:18:13  hawk
- BR libusb-compat to make it work with libusb 1.0.0

Revision 1.149  2009/01/27 22:26:53  hawk
- release 5

Revision 1.148  2008/06/12 15:39:22  baggins
- rel 4
- fixed matrix patch

Revision 1.147  2008-06-12 15:16:52  baggins
- rel 3
- added comman set for old APC Matrix UPS

Revision 1.146  2008-06-04 12:53:20  baggins
- run ldconfig in post(un) scripts

Revision 1.145  2008-06-04 11:59:24  baggins
- rel 2
- finished and enabled neon bcond

Revision 1.144  2008-06-04 11:47:07  baggins
- fix building without installed hal (realy require only hal-devel)

Revision 1.143  2008-06-03 14:45:07  baggins
- separate hal stuff to -hal package
- moved libupsclient to common (IMO makes more sense than keeping it in client)

Revision 1.142  2008-06-03 14:37:47  baggins
- 2.2.2
- fix linking with openssl
- html files in proper location
- package hal stuff
- enabled ipv6
- real devel package (new in 2.2.2)

Revision 1.141  2008-02-17 13:37:31  sls
- rel. 1

Revision 1.140  2008-02-17 13:16:48  sls
- ver. 2.2.1 (NFY)

Revision 1.139  2007-09-19 23:29:05  zbyniu
- strict BR hal-devel version

Revision 1.138  2007/09/19 23:09:59  zbyniu
- --with-udev-dir to configure; simple --with{out,} options

Revision 1.137  2007/09/13 15:46:01  arvenil
- reverted addition of BR: krb5-devel

Revision 1.136  2007/09/13 13:09:41  arvenil
- BR: libtool (and %{__libtoolize})
- BR: krb5-devel

Revision 1.135  2007/07/26 19:05:01  sls
- rel. 1

Revision 1.134  2007/07/26 12:53:34  sls
- added TODO entry

Revision 1.133  2007/07/26 12:51:01  sls
- package udev nut-usbups.rules

Revision 1.132  2007/07/26 12:16:48  sls
- upssched-cmd moved to _sysconfdir
- added upssched-cmd-sysconf.patch
- rel. 0.5
- tweaking config.patch

Revision 1.131  2007/07/26 10:46:42  sls
- better way of installing _confdata/*

Revision 1.130  2007/07/25 20:27:07  sls
- added bcond cgi
- remove BR: libpng-devel and xorg-lib-libXpm-devel (both required by gd-devel)
- BR: hal-devel and dbus-glib-devel
- remove TODO entry

Revision 1.129  2007/07/25 18:46:40  sls
- added bconds: usb, hal, snmp

Revision 1.128  2007/07/25 18:27:53  sls
- parallel install works again

Revision 1.127  2007/07/25 18:24:12  sls
- make *snmp *usb *cgi no longer exists

Revision 1.126  2007/07/25 18:16:11  sls
- removed datadir.patch
- added TODO entry

Revision 1.125  2007/07/25 17:36:16  sls
- datadir.patch conflict with ./configure --datadir
- rel. 0.3

Revision 1.124  2007/07/25 17:09:27  sls
- updated and aplied client.patch
- _datadir packaged again
- TODO updates

Revision 1.123  2007/07/25 16:42:27  sls
- client.patch comes back (NFY)
- sorted drivers and driver manuals

Revision 1.122  2007/07/25 16:37:40  sls
- temporary not packing usbsched-cmd, _datadir/nut
- TODO update
- install *.conf.samples to _sysconfdir
- added doc files: AUTHORS MAINTAINERS UPGRADING
- update driver names

Revision 1.121  2007/07/25 16:03:54  sls
- removed hidups bcond

Revision 1.120  2007/07/25 15:59:17  sls
- ./configure --with hal --with snmp --with usb --with serial
- removed obsolete __make build-usb
- added TODO entry

Revision 1.119  2007/07/25 15:51:25  qboosh
- no more X11R6

Revision 1.118  2007/07/25 15:49:11  sls
- __aclocal -I m4

Revision 1.117  2007/07/25 15:47:13  sls
- updated patches
- client.patch disabled (probably no longer needed)

Revision 1.116  2007/07/25 15:29:01  sls
- ver. 2.2.0 (NFY)

Revision 1.115  2007/07/25 15:20:39  sls
- added TODO
- rel. 3

Revision 1.114  2007/07/25 15:14:25  sls
- package hidups-bcond dependent files properly
- fixed typos in changlog

Revision 1.113  2007/07/25 15:07:01  sls
- verbose files
- install hidups drivers once

Revision 1.112  2007/07/25 14:53:36  sls
- install hidups manuals

Revision 1.111  2007/07/25 14:25:32  sls
- __make -j1 install

Revision 1.110  2007/05/31 17:03:06  areq
- BR xorg-lib-libXpm-devel

Revision 1.109  2007/04/19 06:38:35  orzech
- SNMP UPS agent support, rel.2

Revision 1.108  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.107  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.106  2007/02/11 00:38:48  areq
- 2.0.5

Revision 1.105  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.104  2006/07/28 18:08:41  paszczus
- updated to 2.0.4

Revision 1.103  2006/06/21 13:44:08  mwinkler
- with hidups also install newhidups, hidups will be removed by nut 2.2

Revision 1.102  2006/04/15 13:06:39  glen
- rel 2

Revision 1.101  2006/03/06 18:16:42  glen
- use %service, adapterized, cosmetics

Revision 1.100  2006/02/16 14:07:42  dzeus
- up to 2.0.3

Revision 1.99  2006/01/02 16:52:30  baggins
- release 3
- recognize '\' for power load on some APC UPSes

Revision 1.98  2005/10/26 07:47:45  qboosh
- reordered scripts

Revision 1.97  2005/10/25 21:17:00  zawadaa
- upsmon (nut-client) needs ups user! - ups usera moved to nut-common
- STBR?

Revision 1.96  2005/09/13 10:55:09  zawadaa
- up to 2.0.2
- PreReq -> Req rc-scripts

Revision 1.95  2005/05/18 13:21:50  qboosh
- removed obsolete everups info from descs

Revision 1.94  2005/05/18 13:18:03  qboosh
- updated to final 2.0.1, release 8
- sorted verify() flags

Revision 1.93  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.92  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.91  2004/11/16 09:19:57  krzak
- added /etc/sysconfig/upsmon to customize options of upsmon daemon
- rel 7

Revision 1.90  2004/11/11 15:38:04  havner
- rel 6

Revision 1.89  2004/11/11 10:28:44  paszczus
- fixed for inverted bcond hidups ; make hidups changed to make build-usb

Revision 1.88  2004/11/11 04:25:28  havner
- hidups bcond inverted

Revision 1.87  2004/11/01 08:54:45  orzech
- fixed ups user's gid
- rel.4, STBR

Revision 1.86  2004/10/26 10:01:21  krzak
- rel 3

Revision 1.85  2004/10/26 09:57:41  krzak
- config.patch fit default configuration to installation

Revision 1.84  2004/10/13 23:20:40  ankry
- %userremove/%groupremove support, standardized, GID changed

Revision 1.83  2004/10/07 08:23:44  paszczus
- updated to 2.0.1-pre4
- removed Patch2 (already in sources)
- release 2

Revision 1.82  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.81  2004/07/07 17:12:11  qboosh
- formatting, removed obsolete bcond

Revision 1.80  2004/07/06 23:13:55  hunter
- -out Source4, in patch2

Revision 1.79  2004/07/06 16:35:58  blues
- remove double install

Revision 1.78  2004/05/28 16:43:31  qboosh
- updated URL, strict internal deps

Revision 1.77  2004/05/28 16:14:52  ciesiel
- revert # for new ever driver

Revision 1.76  2004/05/28 16:04:38  ciesiel
- upgraded to version 2.0.0

Revision 1.75  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.74  2004/04/18 18:36:34  mwinkler
- bcond experimental hidups driver, everups is broken
- rel .3

Revision 1.73  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.72  2004/02/04 13:56:57  jajcus
- Release: 2
- AMD64 fixes: config.sub refreshed and /usr/X11R6/lib changed to /usr/X66R6/%{_lib}

Revision 1.71  2003/12/18 23:02:20  undefine
- update to 1.4.1

Revision 1.70  2003/11/14 09:48:27  jajcus
- Release: 4 (in Ra is 3)

Revision 1.69  2003/11/14 09:16:57  jajcus
- Release: 2
- use group "ups" (gid=121) instead of ttyS, which wasn't good for eg. securing upsd socket
- install drivers in /lib/nut instead of /usr/lib/nut - they must be accessible after all filesystems (except /) are unmounted
- new_everups_driver conditional off by default - this driver doesn't build with this nut version
- init script updated, so /sbin/poweroff-ups really works

Revision 1.68  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.67  2003/09/14 21:16:56  blues
- (finally) killed nobody as file/dir owner. Completelly not tested...

Revision 1.66  2003/09/08 20:35:22  orzech
- cosmetics

Revision 1.65  2003/09/08 20:34:41  hunter
- typo, use protocol name in source

Revision 1.64  2003/09/08 20:28:56  ankry
- typo, don't use distfiles for .c files

Revision 1.63  2003/09/08 20:20:34  hunter
- don't bcond sources.

Revision 1.62  2003/09/08 20:19:43  hunter
-added 3rd party gpl driver for newer upses from Ever.

Revision 1.61  2003/08/07 12:25:16  qboosh
- added more files to -devel (needed for upsclient.[oh])
- release 1.2

Revision 1.60  2003/08/01 15:42:17  arekm
- place nut files in /usr/share/nut

Revision 1.59  2003/08/01 14:31:00  arekm
- updated to 1.4.0

Revision 1.58  2003/07/21 20:36:57  adamg
- updated to 1.2.3

Revision 1.57  2003/06/03 19:26:31  malekith
- revert testing df

Revision 1.56  2003/06/03 19:23:51  malekith
- testing df again; sorry

Revision 1.55  2003/06/03 19:06:53  malekith
- reverted testing

Revision 1.54  2003/06/03 18:47:54  malekith
- forgive me: testing distfiles

Revision 1.53  2003/05/27 02:39:29  malekith
- source-md5 (testing auto-fetching)

Revision 1.52  2003/05/25 05:51:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/05/08 21:23:42  misiek
- updated to 1.2.2

Revision 1.50  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.49  2003/02/06 21:05:24  qboosh
- moved /etc/ups dir and %doc to -common subpackage
- moved manuals to proper subpackages
- added verify() for config files

Revision 1.48  2003/01/25 00:37:25  misiek
- added /sbin/poweroff-ups

Revision 1.47  2003/01/17 12:39:12  orzech
- up to 1.2.1
- added missing /etc/nut
- fideltronik.patch obsolete

Revision 1.46  2003/01/05 22:54:54  qboosh
- -devel is back (but now files are named upsclient* not upsfetch*)

Revision 1.45  2002/11/27 22:57:13  misiek
- include html templates

Revision 1.44  2002/11/27 22:50:42  misiek
- updated to 1.2.0

Revision 1.43  2002/10/28 10:10:22  orzech
- fixed broken init
- rel. 5, STBR

Revision 1.42  2002/10/09 13:37:28  orzech
- fixed init script
- rel.3, STBR

Revision 1.41  2002/09/16 22:21:37  orzech
- fideltronik patch fixed, now works

Revision 1.40  2002/09/16 10:53:19  orzech
- trying to get nut working with Fideltronik Ares, need testing
- adaterized

Revision 1.39  2002/08/22 02:39:50  kloczek
- merge translations from KSI and adapterize spec file.

Revision 1.38  2002/08/21 11:34:45  misiek
- merged DEVEL

Revision 1.37.2.4  2002/08/20 13:32:22  misiek
- 1.0.0 version, yeay

Revision 1.37.2.3  2002/08/16 15:53:35  misiek
- updated to 0.99.2

Revision 1.37.2.2  2002/08/16 11:44:15  misiek
- allow ups.conf to be read bu nobodu group

Revision 1.37.2.1  2002/08/13 17:54:18  misiek
- 0.99 series

Revision 1.37  2002/05/21 23:14:16  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/05/04 21:44:26  qboosh
- added -devel (static object + header file) for NUT clients
- release 3

Revision 1.35  2002/04/12 18:44:47  kloczek
- updated to 0.45.5 (many bugfixes).

Revision 1.34  2002/04/12 10:50:59  roman
- moved all ups driver programs to /usr/lib/nut (to avoid conflicts with package sms)
- raised release number
- STBR

Revision 1.33  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/24 05:58:10  kloczek
- release 2.

Revision 1.30  2002/01/22 13:06:14  ankry
- added Obsoletes: smartupstools

Revision 1.29  2002/01/18 02:14:05  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/11/22 12:05:16  zagrodzki
- updated to 0.45.2
- STB

Revision 1.27  2001/09/25 10:39:33  qboosh
- remaining pl description

Revision 1.26  2001/09/25 09:56:37  qboosh
- release 4: base and -client Prereq: /sbin/chkconfig

Revision 1.25  2001/09/04 13:03:06  zagrodzki
- added all configuration files

Revision 1.24  2001/08/28 11:38:47  zagrodzki
- rel 2
- updated all sysconfig and init files
- fixed UID/GID in ./configure (now nobody/ttyS)

Revision 1.23  2001/08/22 00:42:45  kloczek
- updated to 0.45.1,
- removed obsoleted patches,
- updated %files list.

Revision 1.22  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.20  2001/07/19 01:26:55  kloczek
- release 3,
- merge some rawhide patches,
- fix ac (remove all silly thing from try find libgd),
- regenerate ac files (spec is ac 2.5x ready),
- rebuild against gd 2.0.1.

Revision 1.19  2001/07/03 07:09:57  kloczek
- release 1,
- Prereq for chkconfig changed to rc-scripts,
- cosmetics.

Revision 1.18  2001/07/02 15:04:59  bszx
- updated to 0.45.0
- added driver for UPS EVER

Revision 1.17  2001/04/04 19:57:29  kloczek
- release 2: spec adapterized.

Revision 1.16  2001/02/20 15:19:24  mkierus
- fix some error paths from %{_bindir} to %{_sbindir} (upsd upsmon upssched)

Revision 1.15  2001/01/17 11:08:48  kloczek
- updated to 0.44.2.

Revision 1.14  2000/12/22 06:30:36  kloczek
- updated to 0.44.1,
- added gzipping %doc,
- added powercom.8 to main,
- correct saparation betwwen main servvice files and clintent subpackage
  (now client subpackage is not required by main package),
- added Require nut by cgi subpackage,
- added DESTDIR style install (DESTDIR patch added too),
- fixed %post/%preun scripts and removed fileutils fron Prereq,
- 755 on cgi files,
- added BuidRequires rules.

Revision 1.13  2000/12/21 15:12:37  baggins
- updated to 0.43.2

Revision 1.12  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.11  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.10  2000/09/29 12:09:51  yaro
- added PLD-like init

Revision 1.9  2000/09/29 10:34:41  yaro
- fixed conf dir (was /etc/ups/ups/)
- moved cgi to cgi-bin

Revision 1.8  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.6  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.5  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  2000/02/07 23:38:49  kloczek
- more work:
  - package name nocgi changed to cgi and moved to them cgi scripts,
  - updated to 0.43.0,
  - full %attr description in %files.
- still NFY.

Revision 1.2  2000/02/07 02:04:16  kloczek
- partialy rewrited .. not finished yet.
